sampler2D MaterialTex;

struct PS_INPUT{
	float2 Tex				: TEXCOORD0;
};

struct PS_OUTPUT{
    float4 Color			: COLOR;
};

PS_OUTPUT main(const PS_INPUT Input){
	float4 Material = tex2D(MaterialTex, Input.Tex);
    
	PS_OUTPUT Out;
	Out.Color.rgb = Material.xyz * Material.w;
	Out.Color.a = 1.0f;
	return Out;
}
